Name:           xprobe2
Version:        0.3
Release:        23%{?dist}
Summary:        An active operating system fingerprinting tool

Group:          Applications/Internet
License:        GPLv2
URL:            http://www.sys-security.com/index.php?page=xprobe
Source0:        http://downloads.sourceforge.net/xprobe/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpcap-devel
BuildRequires:  gcc-c++


%description
Xprobe is an alternative to some tools which are heavily dependent upon the
usage of the TCP protocol for remote active operating system fingerprinting.

Xprobe I combines various remote active operating system fingerprinting methods
using the ICMP protocol, which were discovered during the "ICMP Usage in
Scanning" research project, into a simple, fast, efficient and a powerful way
to detect an underlying operating system a targeted host is using.

Xprobe2 is an active operating system fingerprinting tool with a different
approach to operating system fingerprinting. Xprobe2 rely on fuzzy signature
matching, probabilistic guesses, multiple matches simultaneously, and a
signature database. 


%prep
%setup -q
%patch0
chmod 644 docs/* COPYING TODO
sed -i -e 's/^\s*strip\s*//' src/Makefile.in


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG README CREDITS COPYING TODO docs/*
%dir %{_sysconfdir}/xprobe2
%config(noreplace) %{_sysconfdir}/xprobe2/xprobe2.conf
%{_bindir}/xprobe2
%{_mandir}/*/*


%changelog
* Thu Sep 13 2018 J. Randall Owens <jrowens@deneb.ghiapet.net> - 0.3-23
- BuildRequire gcc for F29

* Fri Nov 25 2016 J. Randall Owens <jrowens@ghiapet.net> - 0.3-22
- clean up per rpmlint

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 11 2010 Luke Macken <lmacken@redhat.com> - 0.3-14
- Fix the source URL

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb  8 2008 Luke Macken <lmacken@redhat.com> 0.3-11
- Add a trivial patch to fix a compilation error

* Fri Feb  8 2008 Luke Macken <lmacken@redhat.com> 0.3-10
- Rebuild for gcc 4.3

* Tue Aug 21 2007 Luke Macken <lmacken@redhat.com> 0.3-9
- Update license tag to GPLv2

* Sun Sep  3 2006 Luke Macken <lmacken@redhat.com> 0.3-8
- Rebuild for FC6

* Wed Aug 16 2006 Luke Macken <lmacken@redhat.com> 0.3-7
- Add libpcap-devel BR

* Wed Aug 16 2006 Luke Macken <lmacken@redhat.com> 0.3-6
- Rebuild

* Mon Feb 13 2006 Luke Macken <lmacken@redhat.com> 0.3-5
- Rebuild for FE5

* Tue Dec 27 2005 Luke Macken <lmacken@redhat.com> 0.3-4
- Rebuild

* Sat Nov 12 2005 Luke Macken <lmacken@redhat.com> 0.3-3
- Rebuild

* Sun Oct 16 2005 Luke Macken <lmacken@redhat.com> 0.3-2
- Don't strip the binary (Bug #170968)

* Fri Aug 05 2005 Luke Macken <lmacken@redhat.com> 0.3-1
- Packaged for Fedora Extras
